<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.druginfo.query request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwDruginfoQueryRequest
{
	/** 
	 * 批次号
	 **/
	private $batchNo;
	
	/** 
	 * mah企业refEntId
	 **/
	private $mahRefEntId;
	
	/** 
	 * 生产企业refEntId
	 **/
	private $produceRefEntId;
	
	/** 
	 * 调用者企业id
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setBatchNo($batchNo)
	{
		$this->batchNo = $batchNo;
		$this->apiParas["batch_no"] = $batchNo;
	}

	public function getBatchNo()
	{
		return $this->batchNo;
	}

	public function setMahRefEntId($mahRefEntId)
	{
		$this->mahRefEntId = $mahRefEntId;
		$this->apiParas["mah_ref_ent_id"] = $mahRefEntId;
	}

	public function getMahRefEntId()
	{
		return $this->mahRefEntId;
	}

	public function setProduceRefEntId($produceRefEntId)
	{
		$this->produceRefEntId = $produceRefEntId;
		$this->apiParas["produce_ref_ent_id"] = $produceRefEntId;
	}

	public function getProduceRefEntId()
	{
		return $this->produceRefEntId;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.druginfo.query";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->batchNo,"batchNo");
		RequestCheckUtil::checkNotNull($this->mahRefEntId,"mahRefEntId");
		RequestCheckUtil::checkNotNull($this->produceRefEntId,"produceRefEntId");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
